## fonts-yanone-kaffeesatz 2.0+git20211102+ds

=== Makefile ===
SOURCES=$(shell yq e '.sources.[] | sub("^","sources/")' sources/config.yaml )
FAMILY=$(shell yq e '.familyName' sources/config.yaml )

help:
	@echo "###"
	@echo "# Build targets for $(FAMILY)"
	@echo "###"
	@echo
	@echo "  make build: Builds the fonts and places them in the fonts/ directory"
	@echo "  make test:  Tests the fonts with fontbakery"
	@echo "  make proof: Creates HTML proof documents in the proof/ directory"
	@echo

build: build.stamp sources/config.yaml $(SOURCES)

venv: venv/touchfile

build.stamp: venv
	. venv/bin/activate; gftools builder sources/config.yaml && touch build.stamp

venv/touchfile: requirements.txt
	test -d venv || python3 -m venv venv
	. venv/bin/activate; pip install -Ur requirements.txt
	touch venv/touchfile

test: venv build.stamp
	. venv/bin/activate; fontbakery check-googlefonts --html fontbakery-report.html --ghmarkdown fontbakery-report.md $(shell find fonts -type f)

proof: venv build.stamp
	. venv/bin/activate; gftools gen-html proof $(shell find fonts/ttf -type f) -o proof

clean:
	rm -rf venv
	find -iname "*.pyc" -delete

=== requirements.txt ===
fontmake>=2.4
fontbakery>=0.7
gftools>=0.7

## fonts-yanone-kaffeesatz 0.20100525

=== debian/changelog ===
fonts-yanone-kaffeesatz (0.20100525-5) unstable; urgency=low

  * Drop transitional package ttf-yanone-kaffeesatz
  * Bump Standards-Version to 3.9.5 (no changes)
  * Fixes the following lintian warnings:
    + font-package-not-multi-arch-foreign
    + conflicts-with-version
  * Apply wrap-and-sort
  * More descriptive short description
  * Bump debhelper compatibility to 9 to get rid of the dh_pysupport
    deprecation warning
    + Update versioned debhelper build-dependency accordingly.
  * Add lintian override for warning no-upstream-changelog.

 -- Axel Beckert <abe@debian.org>  Fri, 06 Dec 2013 11:59:39 +0100

fonts-yanone-kaffeesatz (0.20100525-4) unstable; urgency=low

  * Team upload
  * Fix version IN replaces and Conflicts. Closes: #648746

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Tue, 15 Nov 2011 21:55:45 +0100

fonts-yanone-kaffeesatz (0.20100525-3) unstable; urgency=low

  * Bump debhelper version to 8.
  * Rename source package to "fonts-yanone-kaffeesatz" to fit the Font
    Packages Naming Policy.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 13 Oct 2011 15:08:01 +0200

ttf-yanone-kaffeesatz (0.20100525-2) unstable; urgency=low

  * Team upload.
  * Drop defoma stuff, since it is unused and obsolete
  * Add a watch file with comments explaining the upstream situation
  * Use "Copyright" instead of "(C)" since the later isn't legally valid
  * Add a get-orig-source target for creating the tarball

 -- Paul Wise <pabs@debian.org>  Thu, 21 Jul 2011 16:07:19 +0200

ttf-yanone-kaffeesatz (0.20100525-1) unstable; urgency=low

  * Initial release. (Closes: #595963)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 22 Sep 2010 19:50:41 +0200

=== debian/control ===
Source: fonts-yanone-kaffeesatz
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
           Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://www.yanone.de/typedesign/kaffeesatz/

Package: fonts-yanone-kaffeesatz
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-yanone-kaffeesatz (<< 0.20100525-3)
Breaks: ttf-yanone-kaffeesatz (<< 0.20100525-3)
Provides: ttf-yanone-kaffeesatz
Multi-Arch: foreign
Description: Font in four weights, reminiscent of 1920s coffee house typography
 Yanone Kaffeesatz was first published in 2004. Its Bold is reminiscent
 of 1920s coffee house typography, while the rather thin fonts bridge
 the gap to present times. You can witness Kaffeesatz use on German
 fresh-water gyms, Dubai mall promos and New Zealand McDonalds ads.
 And of course on coffee and foodstuff packaging and cafe design around
 the globe.
 .
 In 2010 it was decided to be re-released under the SIL Open Font
 License to make it possible to include in software bundles or web font
 services like Googles Font Directory.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

get-orig-source:
	mkdir ttf-yanone-kaffeesatz-0.20100525.orig
	for f in YanoneKaffeesatz.zip YanoneKaffeesatzTTF.zip ; do \
		wget http://www.yanone.de/typedesign/kaffeesatz/$$f ; \
		unzip -d ttf-yanone-kaffeesatz-0.20100525.orig $$f ; \
		rm -f $$f ; \
	done
	tar zcf ttf-yanone-kaffeesatz_0.20100525.orig.tar.gz ttf-yanone-kaffeesatz-0.20100525.orig
	rm -rf ttf-yanone-kaffeesatz-0.20100525.orig

=== debian/watch ===
# Upstream only released one version of the font
# and there are no versioned tarballs so uscan
# cannot automatically find new versions

## fonts-yanone-kaffeesatz 0.20151005

=== debian/changelog ===
fonts-yanone-kaffeesatz (0.20151005-3) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Update Vcs fields for move to Salsa.
  * Bump standards version to 4.5.0.

  [ Axel Beckert ]
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Add CC0 license for the AppStream data to debian/copyright. Fixes
    lintian warning inconsistent-appstream-metadata-license.

 -- Axel Beckert <abe@debian.org>  Mon, 17 Feb 2020 01:14:31 +0100

fonts-yanone-kaffeesatz (0.20151005-2) unstable; urgency=medium

  * Add AppStream data.
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 19 Feb 2018 07:33:37 +0100

fonts-yanone-kaffeesatz (0.20151005-1) unstable; urgency=low

  * Import new upstream versions
    + OpenType Fonts dated 2015-10-05.
    + TrueType Fonts dated 2010-09-11.
  * debian/{control,copyright}:
    + Update upstream URL and switch to HTTPS.
    + Update Gürkan's family name.
  * Declare compliance with Debian Policy 4.1.1.
  * Convert debian/copyright to machine-readable DEP5 format.
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
  * Add Vcs-* headers.
  * Set "Rules-Requires-Root: no".
  * Replace no-op watch file with rules which take the year in the
    download path as approximate version.
    + Use the two OTF and TTF upstream zip files as upstream components
      and let uscan repack them into .tar.xz archives.
    + Drop now obsolete get-orig-source target from debian/rules.
    + Update debian/install to include component path for TrueType Fonts.
  * Install OpenType Fonts into /usr/share/fonts/opentype/ instead of
    /usr/share/fonts/truetype/.
  * Drop obsolete and outdated debian/gbp.conf.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Nov 2017 22:32:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: fonts-yanone-kaffeesatz
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
            Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://www.yanone.de/typedesign/kaffeesatz/
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Homepage: https://www.yanone.de/fonts/kaffeesatz/
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-yanone-kaffeesatz.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-yanone-kaffeesatz
+Rules-Requires-Root: no
 
 Package: fonts-yanone-kaffeesatz
 Architecture: all

=== debian/watch ===
version=4

opts="uversionmangle=s/\d\d\d\d/0.$&0000/,repack,compression=xz" \
https://www.yanone.de/fonts/kaffeesatz/ /(\d\d\d\d)/data/UIdownloads/Yanone[^\'\"/]*Kaffeesatz.zip

opts="uversionmangle=s/\d\d\d\d/0.$&0000/,component=ttf,repack,compression=xz" \
https://www.yanone.de/fonts/kaffeesatz/ /(\d\d\d\d)/data/UIdownloads/YanoneKaffeesatzTTF.zip

## fonts-yanone-kaffeesatz 2.0+git20211102+ds

=== debian/changelog ===
fonts-yanone-kaffeesatz (2.0+git20211102+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Bump debhelper version to 13, dropped d/compat.
  * d/install: updated, only install otf version.
  * Update maintainer address.
  * d/upstream/metadata: added.
  * d/copyright:
    - add info on cyrillic addition.
    - update Source field.
    - add Files-Excluded.
  * d/lintian-overrides: dropped.
  * d/control:
    - drop Replaces, Breaks, Provides.
    - update short description to reflect the right number of weights.
    - temporarily remove Axel Beckert from Uploaders until salsa/gbp
      issue resolved.
  * d/rules: add fake build target as we can not build from source.
  * d/watch: dropped since the old homepage does not have the latest
    version, and the new home did not tag any releases yet.

 -- Gürkan Myczko <tar@debian.org>  Wed, 16 Mar 2022 16:32:05 +0100

=== debian/control ===
Source: fonts-yanone-kaffeesatz
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://www.yanone.de/fonts/kaffeesatz/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-yanone-kaffeesatz.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-yanone-kaffeesatz
Rules-Requires-Root: no

Package: fonts-yanone-kaffeesatz
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Font in six weights, reminiscent of 1920s coffee house typography
 Yanone Kaffeesatz was first published in 2004. Its Bold is reminiscent
 of 1920s coffee house typography, while the rather thin fonts bridge
 the gap to present times. You can witness Kaffeesatz use on German
 fresh-water gyms, Dubai mall promos and New Zealand McDonalds ads.
 And of course on coffee and foodstuff packaging and cafe design around
 the globe.
 .
 In 2010 it was decided to be re-released under the SIL Open Font
 License to make it possible to include in software bundles or web font
 services like Googles Font Directory.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	@echo CAN NOT BUILD FROM SOURCE DUE TO DEPS

override_dh_auto_test:
	@echo NO
